TYPO3.Flow - Feature # 39878

Status: Closed Priority: Should have
Author: Adrian Foder Category: Utility
Created: 2012-08-17 Assigned To: Adrian Foder
Updated: 2013-04-11 Due date:

PHP Version:

Has patch: Yes

Complexity:

Subject: Utility function for determining if an array is considered numerically indexed
Description

Unfortunately PHP does not offer a reliable way to say whether an array is considered to be numerically indexed or if it's associative.

Not at last this has to come into account with the merge_recursive_overrule function that currently overwrites numerically-indexed
arrays instead of merging them finely (but that'll go into another issue ;)

Related issues:

related to TYPOS3.Flow - Bug # 43587: Arrays in Yaml configuration should be i... Closed 2012-12-04

History

#1 - 2012-08-17 10:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13847

#2 - 2012-08-30 17:24 - Karsten Dambekalns
- Category set to Utility
- Target version set to 2.0 beta 1

#3 - 2012-09-05 10:22 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13847

#4 - 2012-12-12 09:19 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#5 - 2013-04-11 08:17 - Adrian Foder

- Status changed from Under Review to Closed

Has been abandoned
